commit:     0aaf98fd70b94c731f338e52d6e267dcf58badac
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 22 17:12:39 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Oct 22 17:15:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0aaf98fd

net-libs/nDPI: Add USE=static-libs.

Package-Manager: Portage-2.3.12, Repoman-2.3.3

 net-libs/nDPI/nDPI-2.0.ebuild | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/net-libs/nDPI/nDPI-2.0.ebuild b/net-libs/nDPI/nDPI-2.0.ebuild
index 7d4217d49af..f512638e13d 100644
--- a/net-libs/nDPI/nDPI-2.0.ebuild
+++ b/net-libs/nDPI/nDPI-2.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit autotools
+inherit autotools eutils multilib
 
 DESCRIPTION="Open Source Deep Packet Inspection Software Toolkit"
 HOMEPAGE="http://www.ntop.org/";
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/ntop/${PN}/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="static-libs"
 
 DEPEND="dev-libs/json-c
        net-libs/libpcap"
@@ -21,3 +21,11 @@ src_prepare() {
        default
        eautoreconf
 }
+
+src_install() {
+       default
+       if ! use static-libs; then
+               rm "${D}"/usr/$(get_libdir)/lib${PN,,}.a || die
+       fi
+       prune_libtool_files
+}

Reply via email to